Package com.google.javascript.jscomp

# Class Result

java.lang.Object
com.google.javascript.jscomp.Result

public class Result extends Object
Compilation results

## Field Summary

Fields
Modifier and Type
Field
Description
`final Map<String,Integer>`
`cssNames`
`final String`
`debugLog`
`final JSError[]`
`errors`
`final String`
`externExport`
`final FunctionInformationMap`
`functionInformationMap`
`final String`
`idGeneratorMap`
`final VariableMap`
`namedAnonFunctionMap`
`final VariableMap`
`propertyMap`
`final SourceMap`
`sourceMap`
`final VariableMap`
`stringMap`
`final boolean`
`success`
`final VariableMap`
`variableMap`
`final JSError[]`
`warnings`

## Constructor Summary

Constructors
Constructor
Description
`Result(JSError[] errors, JSError[] warnings, String debugLog, VariableMap variableMap, VariableMap propertyMap, VariableMap namedAnonFunctionMap, FunctionInformationMap functionInformationMap, SourceMap sourceMap, String externExport)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### success

public final boolean success

### errors

public final JSError[] errors

### warnings

public final JSError[] warnings

### debugLog

public final String debugLog

### variableMap

public final VariableMap variableMap

### propertyMap

public final VariableMap propertyMap

### namedAnonFunctionMap

public final VariableMap namedAnonFunctionMap

### stringMap

public final VariableMap stringMap

### functionInformationMap

public final FunctionInformationMap functionInformationMap

### sourceMap

public final SourceMap sourceMap

### cssNames

public final Map<String,Integer> cssNames

### externExport

public final String externExport

### idGeneratorMap

public final String idGeneratorMap

## Constructor Details

### Result

public Result(JSError[] errors, JSError[] warnings, String debugLog, VariableMap variableMap, VariableMap propertyMap, VariableMap namedAnonFunctionMap, FunctionInformationMap functionInformationMap, SourceMap sourceMap, String externExport)